/**
 * 船舶地图组件功能，通过调用封装好的基础地图组件实现特定业务功能
 */
import { fullExtent, clearMap, calculation, changeMap, setCamera,
    layerControl, layerQuery, addGraphic, draw, getDrawGeometry,
    addBoats, addBoatHistory
} from '@/utils/map/ArcgisUtil'
import {GetHpjShip} from "@/apis/ship";

let boatInterval;
let showBoat = false;

// 船舶撒点
export function setShip(){
    if(!showBoat)
        showBoat = true
    onLocationBoat()
    if(boatInterval!=null){
        clearInterval(boatInterval)
    }
    boatInterval = setInterval(onLocationBoat,10000)
}

// 加载船舶
export function onLocationBoat(){
    GetHpjShip().then(res=>{
        let data = res.Result.data
        let boats = {
            "scale": 5000,
            "goto": false,
            "data": []
        }
        for(let i=0;i<data.length;i++){
            let boat = {
                "mmsi": data[i].DEVICEID,
                "shipNameCn": data[i].BOATNAME,
                "shipTypeName": data[i].SHIPTYPENAME,
                "direction": data[i].DIRECTION,
                "velocity": data[i].VELOCITY,
                "shipBreadth": data[i].SHIPBREADTH,
                "shipLength": data[i].SHIPLENGTH,
                "mapx": data[i].MAPX,
                "mapy": data[i].MAPY
            }
            boats.data.push(boat)
        }
        addBoats(boats)
    })
}

// 设置船舶历史轨迹
export function setShipPath(data){
    GetBoatAISHistoryByMMSI({
        deviceId:data.mmsi,
        startTime:data.startTime,
        endTime:data.endTime
    }).then(

    )
}